Skip to content
vocapable.Docs

A short-lived in-app calling token

POST
/v1/mobile/voice/token
curl --request POST \
--url https://api.vocapable.com/v1/mobile/voice/token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "platform": "ios", "purpose": "calls" }'
Media typeapplication/json
MobileVoiceTokenRequest
object
platform
required
Platform
string
Allowed values: ios android
purpose
Purpose
string
default: calls
Allowed values: calls device_check

Successful Response

Media typeapplication/json
MobileVoiceToken

A short-lived carrier Voice token for this person in this company only.

object
token
required
Token
string
identity
required
Identity
string
expires_at
required
Expires At
string format: date-time
platform
required
Platform
string
Allowed values: ios android
incoming_push_enabled
required
Incoming Push Enabled
boolean
purpose
Purpose
string
default: calls
Allowed values: calls device_check
Example
{
"platform": "ios",
"purpose": "calls"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}